Subject: Re: JO=69598=Reg No=EPE 563 HX=FYA
From: Raphael Peter <[email-masked]>
To: Robert Iyade <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>, Michael Orimolade <[email-masked]>, Folashade Odutola <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Sun, 19 Apr 2026 08:26:21 +0000

50,000.00 Approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Robert Iyade <[email-masked]>
Sent: Saturday, April 18, 2026 2:53 PM
To: Raphael Peter <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Michael Orimolade <[email-masked]>; Folashade Odutola <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: JO=69598=Reg No=EPE 563 HX=FYA

Dear Raphael,
Kindly see below price estimates for your approval.

3tee

V/Ma

TOYOTA HIGHLANDER

V/No

EPE 563 HX

JO

 69598

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

Oil filter casting

25000

20000

 15,000

2

Oil filter

7000

4000

 2,500

3

Engine Oil

35000

25000

 27,500

4

Labour

20000

10000

 5,000

TOTAL

TOTAL

87,000

59,000

 50,000

Robert Iyade

Fleet Maintenance Officer

C & I Leasing Plc | 2 C&I Leasing Drive, Off Bisola Durosinmi Etti Drive, Lekki Phase 1, Lagos

08172007135, 08038906668 | [email-masked]<mailto:[email-masked]> |www.c-ileasing.com

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Saturday, April 18, 2026 11:12 AM
To: Robert Iyade <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Michael Orimolade <[email-masked]>; Folashade Odutola <[email-masked]>
Subject: RE: JO=69598=Reg No=EPE 563 HX=FYA

Dear Robert,

Kindly use this approval.

3tee

V/Ma

TOYOTA HIGHLANDER

V/No

EPE 563 HX

JO

 69598

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

Oil filter casting

25000

20000

 15,000

2

Oil filter

7000

4000

 2,500

3

Engine Oil

35000

25000

 27,500

4

Labour

20000

10000

 5,000

TOTAL

TOTAL

87,000

59,000

 50,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Robert Iyade <[email-masked]>
Sent: Friday, 17 April 2026 11:18
To: Okoroafor Igwe <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Michael Orimolade <[email-masked]>; Folashade Odutola <[email-masked]>
Subject: JO=69598=Reg No=EPE 563 HX=FYA

Dear Igwe,

Kindly see the workshop estimate for your approval, sir.



3tee

V/Ma

TOYOTA HIGHLANDER

V/No

EPE 563 HX

JO

 69598

S/No

Description of Goods

Qty

Amount

Mt officer aprv

HOD

Control

1

Oil filter casting

25000

20000

2

Oil filter

7000

4000

3

Engine Oil

35000

25000

4

Labour

20000

10000

TOTAL

TOTAL

87,000

59,000

Robert Iyade

Fleet Maintenance Officer

C & I Leasing Plc | 2 C&I Leasing Drive, Off Bisola Durosinmi Etti Drive, Lekki Phase 1, Lagos

08172007135, 08038906668 | [email-masked]<mailto:[email-masked]> |www.c-ileasing.com